org.apache.commons.compress.harmony.unpack200.bytecode.forms

## Class SingleByteReferenceForm

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm
  - - org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm
    - - org.apache.commons.compress.harmony.unpack200.bytecode.forms.SingleByteReferenceForm

- Direct Known Subclasses:
    FloatRefForm, IntRefForm, StringRefForm

      public abstract class SingleByteReferenceForm
      extends ReferenceForm

  Some bytecodes (such as (a)ldc, fldc and ildc) have single- byte references to the class pool. This class is the abstract superclass of those classes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `widened`

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

      `byteCodeArray, byteCodesByName, WIDENED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleByteReferenceForm(int opcode, String name, int[] rewrite)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract int` | `getOffset(OperandManager operandManager)`
    `protected abstract int` | `getPoolID()`
    `boolean` | `nestedMustStartClassPool()`
    `protected void` | `setNestedEntries(ByteCode byteCode, OperandManager operandManager, int offset)`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm

      `setByteCodeOperands`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

      `calculateOperandPosition, firstOperandIndex, fixUpByteCodeTargets, get, getName, getOpcode, getRewrite, getRewriteCopy, hasMultipleByteCodes, hasNoOperand, operandLength, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### widened

          protected boolean widened

  - ### Constructor Detail

    - #### SingleByteReferenceForm

          public SingleByteReferenceForm(int opcode,
                                         String name,
                                         int[] rewrite)

  - ### Method Detail

    - #### getOffset

          protected abstract int getOffset(OperandManager operandManager)

      Specified by:
        `getOffset` in class `ReferenceForm`

    - #### getPoolID

          protected abstract int getPoolID()

      Specified by:
        `getPoolID` in class `ReferenceForm`

    - #### nestedMustStartClassPool

          public boolean nestedMustStartClassPool()

      Overrides:
        `nestedMustStartClassPool` in class `ByteCodeForm`

    - #### setNestedEntries

          protected void setNestedEntries(ByteCode byteCode,
                                          OperandManager operandManager,
                                          int offset)
                                   throws Pack200Exception

      Overrides:
        `setNestedEntries` in class `ReferenceForm`
      Throws:
        `Pack200Exception`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.